%ifos darwin
%define __defattr %defattr(-,root,wheel)
%define __soext dylib
%else
%define __defattr %defattr(-,root,root)
%define __soext so
%endif

Name: librep
Version: 0.14
Release: 1a
Summary: An embeddable LISP environment
Copyright: GPL
Group: Development/Languages
Source: http://download.sourceforge.net/librep/librep-%{version}.tar.gz
Patch: localhost:/librep-0.14-macosx.patch
URL: http://librep.sourceforge.net/
# Packager: John Harper <john@dcs.warwick.ac.uk>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: gmp-devel gdbm-devel readline-devel texinfo
PreReq: %{_sbindir}/install-info
Requires: gdbm >= 1.8

%description
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the elisp features while trying to remove some of the main
deficiencies, with features from Common Lisp and Scheme.

%package devel
Summary: librep include files and link libraries
Group: Development/Languages
Requires: %{name} = 0.14

%description devel
Link libraries and C header files for librep development.

%prep
%setup -q
%ifos darwin
%patch -p1 -b .macosx
%endif

%build

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

%ifos darwin
cp /usr/share/libtool/config.{guess,sub} .
export DYLD_LIBRARY_PATH=`pwd`/src/.libs
%endif
%configure --with-readline --with-extra-cflags=-fstrength-reduce
make host_type=%{_target_platform}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%ifos darwin
export DYLD_LIBRARY_PATH=`pwd`/src/.libs
%endif
make install \
    host_type=%{_target_platform} \
    DESTDIR=$RPM_BUILD_ROOT \
    aclocaldir=%{_datadir}/aclocal \
    infodir=%{_infodir}
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/librep*

%post
%ifnos darwin
%{_sbindir}/ldconfig
%endif
%{_sbindir}/install-info %{_infodir}/librep.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    %{_sbindir}/install-info --delete %{_infodir}/librep.info.gz %{_infodir}/dir
fi

%ifnos darwin
%postun -p %{_sbindir}/ldconfig
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%doc NEWS README THANKS TODO BUGS
%{_bindir}/rep
%{_bindir}/rep-remote
%ifnos darwin
%{_libdir}/librep.%{__soext}.*
%else
%{_libdir}/librep.*.%{__soext}
%endif
%{_datadir}/rep/%{version}
%{_libexecdir}/rep/%{version}/%{_target_platform}
%{_infodir}/librep*

%files devel
%{__defattr}
%{_bindir}/rep-config
%{_bindir}/rep-xgettext
%{_bindir}/repdoc
%{_libdir}/librep.%{__soext}
%{_includedir}/rep.h
%{_includedir}/rep_*.h
%{_libexecdir}/rep/%{_target_platform}/libtool
%{_libexecdir}/rep/%{_target_platform}/rules.mk
%{_libexecdir}/rep/%{_target_platform}/install-aliases
%{_libexecdir}/rep/%{_target_platform}/rep_config.h
%{_datadir}/aclocal/rep.m4

%changelog
* Fri Jul 20 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build on MacOS X

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot
